Update – getting ready for Stretch

Important informations about SolydXK including releases notes, forum rules and other anouncements
User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Update – getting ready for Stretch

Postby Arjen Balfoort » 25 Feb 2017 06:32

In preparation of Debian Stretch becoming the next stable we decided to make some changes in the SolydXK specific configuration packages which means that the following packages are now obsolete:
  • solydx-info
  • solydk-info
  • solydx-system-adjustments
  • solydk-system-adjustments
They are being replaced by these packages:
  • solydx-system-adjustments-8
  • solydk-system-adjusmtents-8
When these new packages are successfully installed, the old system-adjusmtents packages will be removed with the next boot or you can safely remove it manually by the following command:

Code: Select all

apt purge solydx-system-adjustments
or

Code: Select all

apt purge solydk-system-adjustments
SolydK users might want to remove these packages unless you are using the provided icon theme and want to keep using these icons:
  • evolvere-icon-theme-vivid-sunken
  • evolvere-icon-theme
They were replaced by these packages:
  • evolvere-icon-theme-flat-vivid-sunken
  • evolvere-icon-theme-flat-vivid-sunken-dark
During this update the entry for the solydxk repository in the /etc/apt/sources.list file will be changed to:

Code: Select all

deb http://repository.solydxk.com/ solydxk-8 main upstream import
This will prevent your system to automatically upgrade to Debian Stretch when we switch the default SolydXK repository from solydxk-8 to solydxk-9 for Stretch. You can decide whenever you are ready for the upgrade by simply changing the sources.list file. We will provide a howto when that time comes.

As you can see we created the next stable SolydXK repository called solydxk-9. This repository will contain the same files as our current solydxk-8 repository but with some specific packages added for the next release based on Debian Stretch. I've recently started a topic on our forum where people can try out the alpha releases of these ISOs. They are under heavy development and by far ready from being used as a production system but if you want to have a peek on what's coming next and want to help out debugging, here's the link: viewtopic.php?f=78&t=6781

If you have any problems with this update, please post your question on this forum.


SolydXK needs you!
Development | Testing | Translations

User avatar
grizzler
Posts: 2217
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Update – getting ready for Stretch

Postby grizzler » 25 Feb 2017 11:37

And what a nice mess you end up with after running today's upgrades on an EE...

Code: Select all

p07@dell:~$ apt unhold solydxk-system solydx-system-adjustments
[sudo] wachtwoord voor p07: 
p07@dell:~$ apt -v du
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De statusinformatie wordt gelezen... Klaar
Opwaardering wordt doorgerekend... Klaar
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
   evolvere-icon-theme-flat-vivid-sunken-dark (1.2xk6)
   gnome-accessibility-themes (3.22.2-2)
   gnome-themes-standard (3.22.2-2)
   gnome-themes-standard-data (3.22.2-2)
   solydx-system-adjustments-8 (2.6.8)
De volgende pakketten zullen opgewaardeerd worden:
   solydx-system-adjustments (2.6.3 => 2.6.4)
   solydxk-system (2.3.9 => 2.4.8)
2 opgewaardeerd, 5 nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
Er moeten 8597 kB aan archieven opgehaald worden.
Na deze bewerking zal er 41,8 MB extra schijfruimte gebruikt worden.
Wilt u doorgaan? [J/n] 
Ophalen:1 http://http.us.debian.org/debian testing/main amd64 gnome-accessibility-themes all 3.22.2-2 [2906 kB]
Ophalen:2 http://repository.solydxk.com solydxk/main amd64 evolvere-icon-theme-flat-vivid-sunken-dark all 1.2xk6 [3032 kB]
Ophalen:3 http://http.us.debian.org/debian testing/main amd64 gnome-themes-standard-data all 3.22.2-2 [556 kB]
Ophalen:4 http://http.us.debian.org/debian testing/main amd64 gnome-themes-standard amd64 3.22.2-2 [509 kB]
Ophalen:5 http://repository.solydxk.com solydxk/main amd64 solydx-system-adjustments all 2.6.4 [3570 B]
Ophalen:6 http://repository.solydxk.com solydxk/main amd64 solydx-system-adjustments-8 all 2.6.8 [1549 kB]
Ophalen:7 http://repository.solydxk.com solydxk/main amd64 solydxk-system all 2.4.8 [41,6 kB]
8597 kB opgehaald in 10s (852 kB/s)                                            
Voorheen niet geselecteerd pakket evolvere-icon-theme-flat-vivid-sunken-dark wordt geselecteerd.
(Database wordt ingelezen ... 235360 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van .../0-evolvere-icon-theme-flat-vivid-sunken-dark_1.2xk6_all.deb wordt voorbereid...
Bezig met uitpakken van evolvere-icon-theme-flat-vivid-sunken-dark (1.2xk6) ...
Uitpakken van .../1-gnome-accessibility-themes_3.22.2-2_all.deb wordt voorbereid...
Bezig met uitpakken van gnome-accessibility-themes (3.22.2-2) ...
Uitpakken van .../2-gnome-themes-standard-data_3.22.2-2_all.deb wordt voorbereid...
Bezig met uitpakken van gnome-themes-standard-data (3.22.2-2) ...
Uitpakken van .../3-gnome-themes-standard_3.22.2-2_amd64.deb wordt voorbereid...
Bezig met uitpakken van gnome-themes-standard:amd64 (3.22.2-2) ...
Uitpakken van .../4-solydx-system-adjustments_2.6.4_all.deb wordt voorbereid...
Bezig met uitpakken van solydx-system-adjustments (2.6.4) over (2.6.3) ...
dpkg: waarschuwing: kan de oude map '/etc/skel/.gconf/apps/gksu' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.gconf/apps/blueman/transfer' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.gconf/apps/blueman' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.gconf/apps' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.gconf' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.local/share/applications' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.local/share' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.local' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.cups' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.clamtk' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.xchat2' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/xfce4/panel/launcher-13' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/xfce4/panel' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/xfce4/terminal' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/xfce4/xfconf' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/xfce4' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/libreoffice/4/user' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/libreoffice/4' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/libreoffice' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/gtk-3.0' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/menus' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/Thunar' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/autostart' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config/vlc' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/skel/.config' niet verwijderen: Map is niet leeg
Voorheen niet geselecteerd pakket solydx-system-adjustments-8 wordt geselecteerd.
Uitpakken van .../5-solydx-system-adjustments-8_2.6.8_all.deb wordt voorbereid...
Bezig met uitpakken van solydx-system-adjustments-8 (2.6.8) ...
Uitpakken van .../6-solydxk-system_2.4.8_all.deb wordt voorbereid...
Bezig met uitpakken van solydxk-system (2.4.8) over (2.3.9) ...
dpkg: waarschuwing: kan de oude map '/etc/solydxk/adjustments' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/solydxk/grub' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/solydxk/scripts' niet verwijderen: Map is niet leeg
Instellen van gnome-accessibility-themes (3.22.2-2) ...
Instellen van solydxk-system (2.4.8) ...
snd-hda-intel model already set
pcspkr already blacklisted
[Errno 2] No such file or directory: '/usr/share/solydxk/info'
Instellen van evolvere-icon-theme-flat-vivid-sunken-dark (1.2xk6) ...
Instellen van gnome-themes-standard-data (3.22.2-2) ...
Bezig met afhandelen van triggers voor mime-support (3.60) ...
Bezig met afhandelen van triggers voor desktop-file-utils (0.23-1) ...
Instellen van solydx-system-adjustments-8 (2.6.8) ...
Nieuwe versie van configuratiebestand /etc/skel/.config/gtk-3.0/settings.ini wordt geïnstalleerd ...

Configuratiebestand '/etc/skel/.config/xfce4/panel/whiskermenu-9.rc'
 ==> Gewijzigd (door u of door een script) sinds de installatie.
 ==> Pakketdistributeur heeft een bijgewerkte versie gemaakt.
   Wat wilt u er aan doen ?  De volgende keuzes zijn mogelijk:
    Y of I  : installeer de versie van de pakketbeheerder
    N of O  : behoud de huidige geïnstalleerde versie
      D     : toon de verschillen tussen de versies
      Z     : start een shell om de situatie te onderzoeken
 De standaardactie is om uw huidige versie te behouden.
*** whiskermenu-9.rc (Y/I/N/O/D/Z) [standaard=N] ? 
Nieuwe versie van configuratiebestand /etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml wordt geïnstalleerd ...
'omleiding van /usr/share/xfce4/backdrops/xfce/xfce-blue.jpg naar /usr/share/xfce4/backdrops/xfce/xfce-blue.jpg.divert door solydx-system-adjustments-8' wordt toegevoegd
'omleiding van /usr/share/xfce4/backdrops/xfce/xfce-teal.jpg naar /usr/share/xfce4/backdrops/xfce/xfce-teal.jpg.divert door solydx-system-adjustments-8' wordt toegevoegd
'omleiding van /usr/share/xfce4/backdrops/bluebird.svg naar /usr/share/xfce4/backdrops/bluebird.svg.divert door solydx-system-adjustments-8' wordt toegevoegd
'omleiding van /usr/share/xfce4/backdrops/greybird.svg naar /usr/share/xfce4/backdrops/greybird.svg.divert door solydx-system-adjustments-8' wordt toegevoegd
Reload /usr/share/xfce4/backdrops/solydx-desktop-1920x1200.png
Aanmaken van GRUB-configuratiebestand...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Linux-image gevonden: /boot/vmlinuz-4.9.0-1-amd64
Initiële RAM-schijf-image gevonden: /boot/initrd.img-4.9.0-1-amd64
Linux-image gevonden: /boot/vmlinuz-4.8.0-2-amd64
Initiële RAM-schijf-image gevonden: /boot/initrd.img-4.8.0-2-amd64
Linux-image gevonden: /boot/vmlinuz-3.16.0-4-amd64
Initiële RAM-schijf-image gevonden: /boot/initrd.img-3.16.0-4-amd64
Windows 7 gevonden op /dev/sda2
SolydX 8 64-bit (8) gevonden op /dev/sda8
voltooid
Bezig met afhandelen van triggers voor hicolor-icon-theme (0.15-1) ...
Bezig met afhandelen van triggers voor fontconfig (2.11.0-6.7) ...
Instellen van gnome-themes-standard:amd64 (3.22.2-2) ...
Instellen van solydx-system-adjustments (2.6.4) ...
p07@dell:~$ apt po solydx-system-adjustments-8
solydx-system-adjustments-8:
  Geïnstalleerd: 2.6.8
  Kandidaat:     2.6.8
  Versietabel:
 *** 2.6.8 600
        600 http://repository.solydxk.com solydxk/main amd64 Packages
        600 http://repository.solydxk.com solydxk/main i386 Packages
        100 /var/lib/dpkg/status
p07@dell:~$ apt po solydx-system-adjustments-9
solydx-system-adjustments-9:
  Geïnstalleerd: (geen)
  Kandidaat:     (geen)
  Versietabel:
p07@dell:~$ cat /etc/apt/sources.list
deb http://repository.solydxk.com/ solydxk main upstream import
deb http://http.us.debian.org/debian/ testing main contrib non-free
p07@dell:~$ cat /usr/share/solydxk/info
RELEASE=8
CODENAME=solydxk
EDITION=solydxee64
DESCRIPTION="SolydX EE 8 64-bit"
DESKTOP=Xfce
DISTRIB_ID=SolydXK
TOOLKIT=GTK
NEW_FEATURES_URL=http://www.solydxk.com
RELEASE_NOTES_URL=http://www.solydxk.com
USER_GUIDE_URL=http://www.solydxk.com
p07@dell:~$ cat /etc/solydxk/info
RELEASE=9
CODENAME=testing
EDITION=solydxee64
DESCRIPTION="SolydX EE 9 64-bit"
DESKTOP=Xfce
DISTRIB_ID=SolydXK
TOOLKIT=GTK
NEW_FEATURES_URL=http://www.solydxk.com
RELEASE_NOTES_URL=http://www.solydxk.com
USER_GUIDE_URL=http://www.solydxk.com
p07@dell:~$ 
That's a default EE, i.e. with the 'normal' sources list. If you had changed the sources list already, you don't get this far at all, as there is no new solydx-system-adjustments package, so nothing much happens at all:

Code: Select all

p07@asus /data/onderzoek $ apt -v du
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De statusinformatie wordt gelezen... Klaar
Opwaardering wordt doorgerekend... Klaar
De volgende pakketten zullen opgewaardeerd worden:
   solydxee-info (1.0.3 => 1.0.5)
   solydxk-system (2.3.9 => 2.4.7)
2 opgewaardeerd, 0 nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
Er moeten 44,2 kB aan archieven opgehaald worden.
Na deze bewerking zal er 2048 B schijfruimte vrijkomen.
Wilt u doorgaan? [J/n] 
Ophalen:1 http://ftp.nluug.nl/os/Linux/distr/solydxk/repository solydxk-ee/main amd64 solydxee-info all 1.0.5 [2626 B]
Ophalen:2 http://ftp.nluug.nl/os/Linux/distr/solydxk/repository solydxk-ee/main amd64 solydxk-system all 2.4.7 [41,6 kB]
44,2 kB opgehaald in 0s (408 kB/s)   
Ophalen van bugrapporten... Klaar
Ontleden van informatie over gevonden/gerepareerde bugs... Klaar
De changelogs worden ingelezen... Klaar
(Database wordt ingelezen ... 267535 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van .../solydxee-info_1.0.5_all.deb wordt voorbereid...
Bezig met uitpakken van solydxee-info (1.0.5) over (1.0.3) ...
Uitpakken van .../solydxk-system_2.4.7_all.deb wordt voorbereid...
Bezig met uitpakken van solydxk-system (2.4.7) over (2.3.9) ...
dpkg: waarschuwing: kan de oude map '/etc/solydxk/grub' niet verwijderen: Map is niet leeg
dpkg: waarschuwing: kan de oude map '/etc/solydxk/scripts' niet verwijderen: Map is niet leeg
Instellen van solydxk-system (2.4.7) ...
snd-hda-intel model already set
pcspkr already blacklisted
[Errno 2] No such file or directory: '/usr/share/solydxk/info'
Instellen van solydxee-info (1.0.5) ...
[Errno 2] No such file or directory: '/usr/share/solydxk/info'
Aanmaken van GRUB-configuratiebestand...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Linux-image gevonden: /boot/vmlinuz-4.9.0-1-amd64
Initiële RAM-schijf-image gevonden: /boot/initrd.img-4.9.0-1-amd64
Linux-image gevonden: /boot/vmlinuz-4.8.0-2-amd64
Initiële RAM-schijf-image gevonden: /boot/initrd.img-4.8.0-2-amd64
voltooid
p07@asus /data/onderzoek $ apt po solydxee-info
solydxee-info:
  Geïnstalleerd: 1.0.5
  Kandidaat:     1.0.5
  Versietabel:
 *** 1.0.5 600
        600 http://ftp.nluug.nl/os/Linux/distr/solydxk/repository solydxk-ee/main amd64 Packages
        600 http://ftp.nluug.nl/os/Linux/distr/solydxk/repository solydxk-ee/main i386 Packages
        100 /var/lib/dpkg/status
p07@asus /data/onderzoek $ apt po solydx-system-adjustments
solydx-system-adjustments:
  Geïnstalleerd: 2.6.3
  Kandidaat:     2.6.3
  Versietabel:
 *** 2.6.3 100
        100 /var/lib/dpkg/status
p07@asus /data/onderzoek $ apt po solydx-system-adjustments-8
solydx-system-adjustments-8:
  Geïnstalleerd: (geen)
  Kandidaat:     (geen)
  Versietabel:
p07@asus /data/onderzoek $ apt po solydx-system-adjustments-9
solydx-system-adjustments-9:
  Geïnstalleerd: (geen)
  Kandidaat:     2.7.0
  Versietabel:
     2.7.0 600
        600 http://ftp.nluug.nl/os/Linux/distr/solydxk/repository solydxk-ee/main amd64 Packages
        600 http://ftp.nluug.nl/os/Linux/distr/solydxk/repository solydxk-ee/main i386 Packages
p07@asus /data/onderzoek $ cat /usr/share/solydxk/info
cat: /usr/share/solydxk/info: Bestand of map bestaat niet
p07@asus /data/onderzoek $ cat /etc/solydxk/info
RELEASE=9
CODENAME=testing
EDITION=solydxee64
DESCRIPTION="SolydX EE 9 64-bit"
DESKTOP=Xfce
DISTRIB_ID=SolydXK
TOOLKIT=GTK
NEW_FEATURES_URL=http://www.solydxk.com
RELEASE_NOTES_URL=http://www.solydxk.com
USER_GUIDE_URL=http://www.solydxk.com
p07@asus /data/onderzoek $ 
I'll look at this more closely later today and figure out the best way to fix it (basically change your sources list *) and manually install solydx-system-adjustments-9, but I want to run some tests first and I really need to get away from this keyboard now or people will get angry... :lol: ).

______________
*) While the testing component was up, both the -8 and -9 packages were available in all repositories. Now -8 only has -8 and -9 only has -9, so you need to change the sources list first.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update – getting ready for Stretch

Postby Arjen Balfoort » 25 Feb 2017 12:25

:oops:
What if I adapt the control file in the old adjustments packages like this:
Depends: solydx-system-adjustments-8 | solydx-system-adjustments-9, ${misc:Depends}

Now, only the adjustments-8 is listed.


SolydXK needs you!
Development | Testing | Translations

User avatar
san-claudio
Posts: 209
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Update – getting ready for Stretch

Postby san-claudio » 25 Feb 2017 14:38

J'ai installé en février 2016 SolydX EE 9 64bit mais je me rappelle plus si c'est la normale du site ou une dans ce/ee à cette période ce que je crois....
J'ai lu la notification du jour pour la mise à jour et j'ai tout noté les opérations voir fichier ci-joint.
Après un reboot il me semble que tout est correct sauf que la police est plus pâle avec un fond plus blanc...
Le package 'solydx-system-adjustments' a été purgé et j'ai 'solydx-system-adjustments-8' sur la SolydX EE 9 64bit...???!!!
'solydx-info' a été purgé...

Code: Select all

san-claudio@solydxk ~ $ apt-cache policy solydx-system-adjustments
solydx-system-adjustments:
  Installé : (aucun)
  Candidat : 2.6.4
 Table de version :
     2.6.4 600
        600 http://repository.solydxk.com solydxk/main amd64 Packages
        600 http://repository.solydxk.com solydxk/main i386 Packages
san-claudio@solydxk ~ $ apt-cache policy solydx-system-adjustments-8
solydx-system-adjustments-8:
  Installé : 2.6.8
  Candidat : 2.6.8
 Table de version :
 *** 2.6.8 600
        600 http://repository.solydxk.com solydxk/main amd64 Packages
        600 http://repository.solydxk.com solydxk/main i386 Packages
        100 /var/lib/dpkg/status

san-claudio@solydxk ~ $ apt-cache policy solydx-info
solydx-info:
  Installé : (aucun)
  Candidat : 1.1.7
 Table de version :
     1.1.7 600
        600 http://repository.solydxk.com solydxk/main amd64 Packages
Les thèmes 'evolvere-icon-theme-flat-vivid-sunken' et 'evolvere-icon-theme-flat-vivid-sunken-dark' sont bien installés mais je ne les vois pas dans
Paramètres Apparence...
Lors du déroulement de la mise à jour on peut noter les anomalies suivantes (voir fichier joint) :

Code: Select all

dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /usr/share/icons/evolvere-black-folders-dark » : Le dossier n'est pas vide
dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /usr/share/icons/evolvere-black-folders-vivid-dark-fallback » : Le dossier n'est pas vide
dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /usr/share/icons/evolvere-black-folders-dark-fallback » : Le dossier n'est pas vide
dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /usr/share/icons/evolvere-black-folders-vivid » : Le dossier n'est pas vide
dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /usr/share/icons/evolvere-black-folders-vivid-dark-light-fallback » : Le dossier n'est pas vide
dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /usr/share/icons/evolvere-black-folders-dark-light-fallback » : Le dossier n'est pas vide
dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /usr/share/icons/evolvere-black-folders-vivid-dark » : Le dossier n'est pas vide

dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /etc/solydxk/grub » : Le dossier n'est pas vide
dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /etc/solydxk/scripts » : Le dossier n'est pas vide

[Errno 2] No such file or directory: '/usr/share/solydxk/info'
/etc/apt/sources.listsources.list
deb http://repository.solydxk.nl solydxk main upstream import
deb http://httpredir.debian.org/debian testing main contrib non-free
deb http://security.debian.org testing/updates main contrib non-free

La police est légèrement plus pâle voir dans la barre des tâches :
https://lut.im/sUSRMvvD8y/9IaCo35Fg6pV3ZA7.png
J'ai fait un backup incrémentiel avec un boot CD d'Acronis dont en cas de marche arrière je peux le faire...bon courage pour la suite...
Une question pour les jours suivants : mieux vaut ne pas faire les mises à jours.
Attachments
maj20170225.txt
(26.33 KiB) Downloaded 123 times

User avatar
grizzler
Posts: 2217
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Update – getting ready for Stretch

Postby grizzler » 25 Feb 2017 15:09

Schoelje wrote:What if I adapt the control file in the old adjustments packages like this:
Depends: solydx-system-adjustments-8 | solydx-system-adjustments-9, ${misc:Depends}
No, that won't work. Something like that only works if one of those packages is installed already. I.e. if the second one is installed, apt won't try to install the first. If neither one of them is installed, apt will always pick the first.

I think this is a job for adjust.py. To be honest, after reading your response to this message, I thought you had it covered in some way - either using what I suggested or by some other means - so I didn't look at this anymore.

I'm not sure if my suggestion of 3 February can still be used as-is, but something like that should do. Possibly add another check for the existence of /etc/solydxk/info (because dpkg doesn't remove that file, apparently). Which reminds me, the entire /etc/solydxk structure appears to survive under some (most?) circumstances. So maybe add some more code to that section to remove that as well. Something like this (careful! untested!):

Code: Select all

if exists('/etc/solydxk/info'):
    if ver == 9:
        for badpkg in ['solydk-system-adjustments-8','solydx-system-adjustments-8']:
            if getPackageVersion(badpkg) != '':
                if getAptCacheLockedProgram() == '':
                    goodpkg = badpkg[0:-1] + '9'
                    os.system("apt-get %s --assume-yes purge %s" % (force,badpkg))
                    os.system("apt-get %s --assume-yes install %s" % (force,goodpkg))
    if exists("/usr/share/solydxk/info"):
        os.system("rm -fr /etc/solydxk")
This is just a rough idea. Another check may be required, e.g. to make sure one of the new adjustments packages is installed before /etc/solydxk is removed.

Of course this still leaves the sources.list. This will have to be modified first, because the -9 packages are currently only available in the -9 or -ee repository.

Edit
I think the sources.list could be handled by a strategically placed os.system("sed -i 's/ solydxk / solydxk-9 /g' /etc/apt/sources.list") plus apt-get update in the code I mentioned above, i.e. just before or after the "goodpkg = " line.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update – getting ready for Stretch

Postby Arjen Balfoort » 25 Feb 2017 16:24

I missed your post and uploaded the new solydx/k-system-adjustments packages.

I've tried this in a VM and it seems to work. As long as solydx/k-system-adjustments is present and the EE is not pointing to solydxk-8. It will then install the second mentioned package. If the system is pointing to solydxk-8 there is no easy fix as you already found out.

I won't have time this weekend, I'm afraid.


SolydXK needs you!
Development | Testing | Translations

User avatar
grizzler
Posts: 2217
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Update – getting ready for Stretch

Postby grizzler » 25 Feb 2017 17:22

I would expect apt to select the second package only if the first isn't available, i.e. on a system with solydxk-9 or solydxk-ee in the sources.list.

I'll try to find the time to run some tests with the suggested code in the adjust.py. Maybe later this evening or tomorrow.

Edit
That'll be tomorrow... By the way, the new solydx-system-adjustment package (2.6.5) won't install, because the current solydx-system-adjustments-9 package has a Conflicts with 'solydx-system-adjustments' as well as 'solydx-system-adjustments (<< 2.6.4~)'.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update – getting ready for Stretch

Postby Arjen Balfoort » 26 Feb 2017 08:56

We could also just communicate to the EE users that they first have to adapt their sources.list first to use solydxk-9 before they upgrade. Wouldn't that be a more practical solution?


SolydXK needs you!
Development | Testing | Translations

User avatar
san-claudio
Posts: 209
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Update – getting ready for Stretch

Postby san-claudio » 26 Feb 2017 13:04

En attendant une solution de votre part je ne fais plus de mise à jour pour ma SolydX EE 9 64bit.

User avatar
Zill
Posts: 1850
Joined: 13 Aug 2013 14:28
Location: Lincolnshire, UK

Re: Update – getting ready for Stretch

Postby Zill » 26 Feb 2017 13:32

grizzler wrote:... By the way, the new solydx-system-adjustment package (2.6.5) won't install, because the current solydx-system-adjustments-9 package has a Conflicts with 'solydx-system-adjustments' as well as 'solydx-system-adjustments (<< 2.6.4~)'.
I can confirm that this problem also affects the main edition of SolydX:

Code: Select all

roger@dino:~$ apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  solydx-system-adjustments
...

Code: Select all

roger@dino:~$ apt policy solydx-system-adjustments
solydx-system-adjustments:
  Installed: 2.6.3
  Candidate: 2.6.5
  Version table:
     2.6.5 0
        600 http://repository.solydxk.com/ solydxk/main i386 Packages
 *** 2.6.3 0
        100 /var/lib/dpkg/status

Code: Select all

roger@dino:~$ dpkg -l solydx-system-*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                           Version              Architecture         Description
ii  solydx-system-adjustments      2.6.3                all                  Adjustments specific to SolydX.
roger@dino:~$
Note that this system does not have solydx-system-adjustments-9 (or any other EE packages) installed.

User avatar
ilu
Posts: 2745
Joined: 09 Oct 2013 12:45

Re: Update – getting ready for Stretch

Postby ilu » 26 Feb 2017 13:36

On one of my SolydX stable systems I lost the SolydX whisker menu icon with the latest update. I could not find it again, it's gone. Maybe deinstalling the old themes was not such a good idea. Anyway, minor anoyance only.

User avatar
grizzler
Posts: 2217
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Update – getting ready for Stretch

Postby grizzler » 26 Feb 2017 13:40

@san-claudio,
The solution is mentioned earlier in this thread: change the sources.list so the solydxk-line doesn't refer to solydxk but solydxk-9, then purge (just removing isn't enough) solydx-system-adjustments-8 and install solydx-system-adjustments-9.

@Schoelje,
You're probably right. The code I suggested does work, but only when running adjust.py 'stand alone'. If it's called as part of the package upgrade procedure, the "getAptCacheLockedProgram() == '':"-bit fails, because dpkg is running. I'm not entirely sure dpkg actually does have apt's cache locked at that point (probably does...), but I don't have time to run further tests today.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update – getting ready for Stretch

Postby Arjen Balfoort » 26 Feb 2017 13:51

@grizzler
Indeed, I've had that same issue when I first started packaging. You cannot run dpkg (or apt) from code when already installing using apt or dpkg. Even using the postinst script won't work: even then dpkg is locked. Very frustrating!

@zill
If you're running the regular version (not EE) the adjustments-9 packages are not even available. I've tested this many times on the 201701 ISOs and that seemed to work. I don't know what's happening on your system. You can also update the solydx-system-adjustments package first and then install the solydx-adjustments-8 package manually.


SolydXK needs you!
Development | Testing | Translations

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update – getting ready for Stretch

Postby Arjen Balfoort » 26 Feb 2017 13:58

ilu wrote:On one of my SolydX stable systems I lost the SolydX whisker menu icon with the latest update. I could not find it again, it's gone. Maybe deinstalling the old themes was not such a good idea. Anyway, minor anoyance only.
This has been a marketing choice. The flat logo has been the official logo for quite some time and the old logo does no longer represent SolydXK accurately. However, the update should have replaced the start icon and the old background with the new one. It did so on my tests on the 201701 ISO. Usually a log out/log in should have fixed it when that didn't happen during the upgrade.


SolydXK needs you!
Development | Testing | Translations

User avatar
san-claudio
Posts: 209
Joined: 28 Dec 2015 20:26
Location: Paris, France

Re: Update – getting ready for Stretch

Postby san-claudio » 26 Feb 2017 14:30

@grizzler
@san-claudio,
The solution is mentioned earlier in this thread: change the sources.list so the solydxk-line doesn't refer to solydxk but solydxk-9, then purge (just removing isn't enough) solydx-system-adjustments-8 and install solydx-system-adjustments-9.
SolydX EE 9 64bit
j'ai purgé solydx-system-adjustments-8 :

Code: Select all

san-claudio@solydxk ~ $ sudo apt-get  purge solydx-system-adjustments-8
[sudo] Mot de passe de san-claudio : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  evolvere-icon-theme-flat-vivid-sunken
  evolvere-icon-theme-flat-vivid-sunken-dark
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  solydx-system-adjustments-8*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 255 non mis à jour.
Après cette opération, 8 105 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] O

(Lecture de la base de données... 486895 fichiers et répertoires déjà installés.)
Suppression de solydx-system-adjustments-8 (2.6.8) ...
Traitement des actions différées (« triggers ») pour solydxk-system (2.4.8) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-1) ...
Traitement des actions différées (« triggers ») pour fontconfig (2.11.0-6.7) ...
(Lecture de la base de données... 486475 fichiers et répertoires déjà installés.)
Purge des fichiers de configuration de solydx-system-adjustments-8 (2.6.8) ...
dpkg: avertissement: lors de la suppression de solydx-system-adjustments-8, le répertoire « /etc/skel/.config » n'était pas vide, donc il n'a pas été supprimé
san-claudio@solydxk ~ $
reboot
/etc/apt/sources.listsources.list
deb http://repository.solydxk.nl solydxk-9 main upstream import
deb http://httpredir.debian.org/debian testing main contrib non-free
deb http://security.debian.org testing/updates main contrib non-free

A l'installation du paquet 'solydx-system-adjustments-9' celui-ci n'existe pas ????....

Code: Select all

san-claudio@solydxk ~ $ sudo apt-get install solydx-system-adjustments-9
[sudo] Mot de passe de san-claudio : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet 
san-claudio@solydxk ~ $
Et pour l'instant en premier constat l'icône du menu Whisker est grisé...
Je n'ai pas fait de mise à jour update upgrade depuis hier...

User avatar
grizzler
Posts: 2217
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Update – getting ready for Stretch

Postby grizzler » 26 Feb 2017 14:48

When you change sources.list, you always need to run apt update. Try that (again) and check for errors. Maybe the server has/had issues.
Frank

SolydX EE 64 - tracking Debian Testing

User avatar
san-claudio
Posts: 209
Joined: 28 Dec 2015 20:26
Location: Paris, France

[RESOLVED]Re: Update – getting ready for Stretch

Postby san-claudio » 26 Feb 2017 14:59

OK j'ai oublié de faire update après modification source.list...Maintenant tout me semble correct le menu Whisher est réapparu...

Code: Select all

san-claudio@solydxk ~ $ sudo apt-get update
[code][sudo] Mot de passe de san-claudio : 
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atteint:3 http://dl.google.com/linux/chrome/deb stable Release                 
Atteint:4 http://security.debian.org testing/updates InRelease                 
Ign:5 http://repo.vivaldi.com/snapshot/deb stable InRelease                    
Atteint:2 http://cdn-fastly.deb.debian.org/debian testing InRelease            
Ign:6 http://repo.vivaldi.com/stable/deb stable InRelease                      
Atteint:7 http://repo.vivaldi.com/snapshot/deb stable Release                  
Atteint:8 http://repo.vivaldi.com/stable/deb stable Release                    
Atteint:9 https://repo.skype.com/deb stable InRelease                          
Atteint:11 http://deb.bitmask.net/debian testing InRelease                     
Réception de:14 http://repository.solydxk.com solydxk-9 InRelease [15,4 kB]    
Réception de:15 http://repository.solydxk.com solydxk-9/main i386 Packages [33,8 kB]
Réception de:16 http://repository.solydxk.com solydxk-9/import i386 Packages [9 084 B]
Réception de:17 http://repository.solydxk.com solydxk-9/import amd64 Packages [8 900 B]
Réception de:18 http://repository.solydxk.com solydxk-9/main amd64 Packages [34,0 kB]
101 ko réceptionnés en 2s (40,2 ko/s)                        
Lecture des listes de paquets... Fait
san-claudio@solydxk ~ $ sudo apt-get install solydx-system-adjustments-9
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
The following additional packages will be installed:
  evolvere-icon-theme-flat-vivid-sunken
  evolvere-icon-theme-flat-vivid-sunken-dark gtk3-engines-breeze-x
Les NOUVEAUX paquets suivants seront installés :
  evolvere-icon-theme-flat-vivid-sunken
  evolvere-icon-theme-flat-vivid-sunken-dark gtk3-engines-breeze-x
  solydx-system-adjustments-9
0 mis à jour, 4 nouvellement installés, 0 à enlever et 255 non mis à jour.
Il est nécessaire de prendre 2 027 ko/7 934 ko dans les archives.
Après cette opération, 79,7 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
Réception de:1 http://repository.solydxk.com solydxk-9/main amd64 gtk3-engines-breeze-x all 0.0.3 [204 kB]
Réception de:2 http://repository.solydxk.com solydxk-9/main amd64 solydx-system-adjustments-9 all 2.7.0 [1 824 kB]
2 027 ko réceptionnés en 5s (370 ko/s)                   
Sélection du paquet evolvere-icon-theme-flat-vivid-sunken précédemment désélectionné.
(Lecture de la base de données... 454324 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../evolvere-icon-theme-flat-vivid-sunken_1.2xk6_all.deb ...
Dépaquetage de evolvere-icon-theme-flat-vivid-sunken (1.2xk6) ...
Sélection du paquet evolvere-icon-theme-flat-vivid-sunken-dark précédemment désélectionné.
Préparation du dépaquetage de .../evolvere-icon-theme-flat-vivid-sunken-dark_1.2xk6_all.deb ...
Dépaquetage de evolvere-icon-theme-flat-vivid-sunken-dark (1.2xk6) ...
Sélection du paquet gtk3-engines-breeze-x précédemment désélectionné.
Préparation du dépaquetage de .../gtk3-engines-breeze-x_0.0.3_all.deb ...
Dépaquetage de gtk3-engines-breeze-x (0.0.3) ...
Sélection du paquet solydx-system-adjustments-9 précédemment désélectionné.
Préparation du dépaquetage de .../solydx-system-adjustments-9_2.7.0_all.deb ...
Dépaquetage de solydx-system-adjustments-9 (2.7.0) ...
Traitement des actions différées (« triggers ») pour solydxk-system (2.4.8) ...
[Errno 2] No such file or directory: '/usr/share/solydxk/info'
Paramétrage de evolvere-icon-theme-flat-vivid-sunken (1.2xk6) ...
Paramétrage de evolvere-icon-theme-flat-vivid-sunken-dark (1.2xk6) ...
Traitement des actions différées (« triggers ») pour mime-support (3.60) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23-1) ...
Paramétrage de gtk3-engines-breeze-x (0.0.3) ...
Paramétrage de solydx-system-adjustments-9 (2.7.0) ...

Fichier de configuration « /etc/cups/subscriptions.conf »
 ==> Fichier du système créé par vous ou par un script.
 ==> Fichier également présent dans le paquet fourni par le responsable du paquet.
   Que voulez-vous faire ? Vos options sont les suivantes :
    Y ou I  : installer la version du responsable du paquet
    N ou O  : garder votre version actuellement installée
      D     : afficher les différences entre les versions
      Z     : suspendre ce processus pour examiner la situation
 L'action par défaut garde votre version actuelle.
*** subscriptions.conf (Y/I/N/O/D/Z) [défaut=N] ? Y
Installation de la nouvelle version du fichier de configuration /etc/cups/subscriptions.conf ...

Fichier de configuration « /etc/cups/subscriptions.conf.O »
 ==> Fichier du système créé par vous ou par un script.
 ==> Fichier également présent dans le paquet fourni par le responsable du paquet.
   Que voulez-vous faire ? Vos options sont les suivantes :
    Y ou I  : installer la version du responsable du paquet
    N ou O  : garder votre version actuellement installée
      D     : afficher les différences entre les versions
      Z     : suspendre ce processus pour examiner la situation
 L'action par défaut garde votre version actuelle.
*** subscriptions.conf.O (Y/I/N/O/D/Z) [défaut=N] ? Y
Installation de la nouvelle version du fichier de configuration /etc/cups/subscriptions.conf.O ...
Reload /usr/share/xfce4/backdrops/solydx-desktop-1920x1200.png
Création du fichier de configuration GRUB…
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Image Linux trouvée : /boot/vmlinuz-4.9.0-1-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.9.0-1-amd64
Image Linux trouvée : /boot/vmlinuz-4.8.0-2-amd64
Image mémoire initiale trouvée : /boot/initrd.img-4.8.0-2-amd64
Windows 7 trouvé sur /dev/sda1
fait
Traitement des actions différées (« triggers ») pour fontconfig (2.11.0-6.7) ...
san-claudio@solydxk ~ $ 
A noter que j'ai 255 non mis à jour depuis hier matin je crois ce qui fait quand même beaucoup et je suppose que c'est normal...
et [Errno 2] No such file or directory: '/usr/share/solydxk/info'......
J'ai fait upgrade et la grosse mise à jour est passée puis reboot tout est correct.

Merci.

User avatar
bas_otten
Posts: 216
Joined: 19 Oct 2013 12:22
Location: Netherlands

Re: Update – getting ready for Stretch

Postby bas_otten » 26 Feb 2017 17:20

Just informational:
The upgrade from solydk-system-adjustments to solydk-system-adjustments-8 (for stable SolydK, in my case) may show some mild impact for existing users .kde profiles in terms of themery (new users are not affected):

The K-icon of the Launcher has moved:
@ ~/.kde/share/config/plasma-desktop-appletsrc, change 'icon=/usr/share/pixmaps/solydk-flat.png' to 'icon=/usr/share/pixmaps/solydk.png'

The wallpaper location has changed:
@ ~/.kde/share/config/plasma-desktop-appletsrc, change 'wallpaper=/usr/share/wallpapers/solydk-flat/contents/images/' path to 'wallpaper=/usr/share/wallpapers/solydk/contents/images/'

or use the GUI to make the corresponding changes;-)

EDIT:
Additionally, reconfirm the solydk-logo theme in the Debian Plymouth Manager

User avatar
Zill
Posts: 1850
Joined: 13 Aug 2013 14:28
Location: Lincolnshire, UK

Re: Update – getting ready for Stretch

Postby Zill » 26 Feb 2017 17:29

Schoelje wrote:@zill
If you're running the regular version (not EE) the adjustments-9 packages are not even available. I've tested this many times on the 201701 ISOs and that seemed to work. I don't know what's happening on your system. You can also update the solydx-system-adjustments package first and then install the solydx-adjustments-8 package manually.
I am running the regular version of SolydX and have now resolved my solydx-system-adjustments problem by running the "apt dist-upgrade" command, rather than the straight "apt upgrade" command normally used for Debian stable upgrades:

Code: Select all

roger@dino:~$ apt dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  solydx-info
The following NEW packages will be installed:
  evolvere-icon-theme-flat-vivid-sunken-dark solydx-system-adjustments-8
The following packages will be upgraded:
  solydx-system-adjustments
1 upgraded, 2 newly installed, 1 to remove and 0 not upgraded.
Need to get 4,584 kB of archives.
After this operation, 33.4 MB of additional disk space will be used.
Do you want to continue? [Y/n] y

...

Configuration file '/etc/skel/.config/xfce4/panel/whiskermenu-9.rc'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      Z     : start a shell to examine the situation
 The default action is to keep your current version.
*** whiskermenu-9.rc (Y/I/N/O/D/Z) [default=N] ? N

...

roger@dino:~$ apt upgrade
[sudo] password for roger: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Following a reboot, my installed "solydx-system-adjustments" packages are as follows:

Code: Select all

roger@dino:~$ apt policy solydx-system-adjustments
solydx-system-adjustments:
  Installed: (none)
  Candidate: (none)
  Version table:

roger@dino:~$ dpkg -l solydx-system-*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                          Version             Architecture        Description
un  solydx-system-adjustments     <none>              <none>              (no description available)
ii  solydx-system-adjustments-8   2.6.8               all                 Adjustments specific to SolydX (version 8, jessie).
un  solydx-system-adjustments-9   <none>              <none>              (no description available)
There was no necessity to manually purge or install any of these packages.

Regarding the reported Whisker menu icon problem, I did not experience this, possibly because I chose to keep my current version of "/etc/skel/.config/xfce4/panel/whiskermenu-9.rc" when prompted during the dist-upgrade process (see above).

User avatar
Arjen Balfoort
Site Admin
Posts: 9518
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Update – getting ready for Stretch

Postby Arjen Balfoort » 26 Feb 2017 19:40

bas_otten wrote:Just informational:
The upgrade from solydk-system-adjustments to solydk-system-adjustments-8 (for stable SolydK, in my case) may show some mild impact for existing users .kde profiles in terms of themery (new users are not affected):

The K-icon of the Launcher has moved:
@ ~/.kde/share/config/plasma-desktop-appletsrc, change 'icon=/usr/share/pixmaps/solydk-flat.png' to 'icon=/usr/share/pixmaps/solydk.png'

The wallpaper location has changed:
@ ~/.kde/share/config/plasma-desktop-appletsrc, change 'wallpaper=/usr/share/wallpapers/solydk-flat/contents/images/' path to 'wallpaper=/usr/share/wallpapers/solydk/contents/images/'

or use the GUI to make the corresponding changes;-)

EDIT:
Additionally, reconfirm the solydk-logo theme in the Debian Plymount Manager
Thanks! Fixed in version 2.6.8 and did the same of the other adjustments packages (if needed).


SolydXK needs you!
Development | Testing | Translations


Return to “News & Anouncements”

Who is online

Users browsing this forum: No registered users and 6 guests